Overview
DELETE
/auth/my-methods/{id}authRemove one of the caller's own auth methods (keeping at least one)
Delete a record from my-methods by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
204
deleted
No response body.
401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/auth/my-methods/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/my-methods/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();